dimension fill color property?

Discussion in 'AutoCAD' started by MP, Sep 23, 2004.

  1. MP

    MP Guest

    Hi all,
    I'm trying to make a routine to one click a dimension to "mask" the text.
    (ac2005)

    I can do it through the properties box under Text|FillColor| set to
    "Background"

    after dumping an object I find the TrueColor Property has changed but the
    actual value seems random

    How to set the TrueColorProperty to "Background"? may be the specific
    question.

    Thanks for any help.
    Mark
    :)

    (setq before(vlax-get-property dimobj 'truecolor))
    ;before mask
    ; TrueColor = #<VLA-OBJECT IAcadAcCmColor 0c813bd0>
    ; and another time
    ; TrueColor = #<VLA-OBJECT IAcadAcCmColor 47133bc0>

    ;after mask
    ; TrueColor = #<VLA-OBJECT IAcadAcCmColor 0c8096b0>
    ; and another time
    ; TrueColor = #<VLA-OBJECT IAcadAcCmColor 0f02fc40>

    also tried
    ;; call the color object
    (setq colorObj (vla-getinterfaceobject
    (vlax-get-acad-object)
    "AutoCAD.AcCmColor.16"))

    (vlax-invoke-method colorObj 'item "Background") - no item property

    (vlax-invoke-method colorObj 'name "Background") - no name property
     
    MP, Sep 23, 2004
    #1
  2. MP

    MP Guest

    OOPS!
    forgive the lisp code...forgot which group I was looking at...
    but the question is the same, vb or lisp reply equally appreciated...
    :)
     
    MP, Sep 23, 2004
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.